#!/bin/sh
#
# Shell script to run SuperSync start script

source /etc/profile

SS_PKGDEST=`pwd`

echo "startup.sh : PKG DIR: $SS_PKGDEST" >> $SYNOPKG_PKGDEST/SS.log

JAVA_EXEC=java
if [ -e "${JAVA_HOME}" ]
then
        JAVA_EXEC=${JAVA_HOME}/bin/java
fi

echo "JAVA_HOME: ${JAVA_HOME}" >> $SS_PKGDEST/SS.log

if [ -z "${SUPERSYNC_MAX_HEAP}" ]
then
        SUPERSYNC_MAX_HEAP=256M
fi

cd ${SS_PKGDEST}/build/package

echo -n "pwd :" >> ${SS_PKGDEST}/SS.log
pwd >> ${SS_PKGDEST}/SS.log

echo "Run supersync.jar" >> ${SS_PKGDEST}/SS.log

${JAVA_EXEC} -Xmx${SUPERSYNC_MAX_HEAP} -jar supersync.jar >> ${SS_PKGDEST}/SS.log 2>&1 &

echo " java: error: $?" >> ${SS_PKGDEST}/SS.log

